class KSSLCertificateHome

# class KSSLCertificateHome |
Definition | `#include <ksslcertificatehome.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum KSSLAuthAction {AuthNone, AuthSend, AuthPrompt, AuthDont}

#### Public Static Methods

- static KSSLPKCS12* getCertificateByHost (QString host, QString password, KSSLAuthAction* aa)
- static KSSLPKCS12* getCertificateByName (QString name, QString password)
- static KSSLPKCS12* getCertificateByName (QString name)
- static QString getDefaultCertificateName (QString host, KSSLAuthAction *aa = NULL)
- static QString getDefaultCertificateName (KSSLAuthAction *aa = NULL)
- static KSSLPKCS12* getDefaultCertificate (QString password, KSSLAuthAction *aa = NULL)
- static KSSLPKCS12* getDefaultCertificate (KSSLAuthAction *aa = NULL)
- static bool hasCertificateByName (QString name)
- static void setDefaultCertificate (QString name, bool send = true, bool prompt = false)
- static void setDefaultCertificate (KSSLPKCS12 *cert, bool send = true, bool prompt = false)
- static void setDefaultCertificate (QString name, QString host, bool send = true, bool prompt = false)
- static void setDefaultCertificate (KSSLPKCS12 *cert, QString host, bool send = true, bool prompt = false)
- static bool addCertificate (QString filename, QString password, bool storePass = false)
- static void addCertificate (KSSLPKCS12 *cert, QString passToStore = "")
- static QStringList getCertificateList ()

## Detailed Description

enum KSSLAuthAction {AuthNone, AuthSend, AuthPrompt, AuthDont} | ### KSSLAuthAction

KSSLPKCS12* getCertificateByHost (QString host, QString password, KSSLAuthAction* aa) | ### getCertificateByHost

[static]

KSSLPKCS12* getCertificateByName (QString name, QString password) | ### getCertificateByName

[static]

KSSLPKCS12* getCertificateByName (QString name) | ### getCertificateByName

[static]

QString getDefaultCertificateName (QString host, KSSLAuthAction *aa = NULL) | ### getDefaultCertificateName

[static]

QString getDefaultCertificateName (KSSLAuthAction *aa = NULL) | ### getDefaultCertificateName

[static]

KSSLPKCS12* getDefaultCertificate (QString password, KSSLAuthAction *aa = NULL) | ### getDefaultCertificate

[static]

KSSLPKCS12* getDefaultCertificate (KSSLAuthAction *aa = NULL) | ### getDefaultCertificate

[static]

bool hasCertificateByName (QString name) | ### hasCertificateByName

[static]

void setDefaultCertificate (QString name, bool send = true, bool prompt = false) | ### setDefaultCertificate

[static]

void setDefaultCertificate (KSSLPKCS12 *cert, bool send = true, bool prompt = false) | ### setDefaultCertificate

[static]

void setDefaultCertificate (QString name, QString host, bool send = true, bool prompt = false) | ### setDefaultCertificate

[static]

void setDefaultCertificate (KSSLPKCS12 *cert, QString host, bool send = true, bool prompt = false) | ### setDefaultCertificate

[static]

bool addCertificate (QString filename, QString password, bool storePass = false) | ### addCertificate

[static]

void addCertificate (KSSLPKCS12 *cert, QString passToStore = "") | ### addCertificate

[static]

QStringList getCertificateList () | ### getCertificateList

[static]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:09 2003, using kdoc 2.0a54.